<?php
defined('TYPO3') || die();

// Define new fields for pages
$tmp_t3campus_ytseries_v11_columns = [

    'city' => [
        'exclude' => false,
        'label' => 'LLL:EXT:t3campus_ytseries_v11/Resources/Private/Language/locallang_db.xlf:tx_t3campusytseriesv11_domain_model_pagecity.city',
        'config' => [
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim,required',
            'default' => ''
        ],
    ],
    'postcode' => [
        'exclude' => false,
        'label' => 'LLL:EXT:t3campus_ytseries_v11/Resources/Private/Language/locallang_db.xlf:tx_t3campusytseriesv11_domain_model_pagecity.postcode',
        'config' => [
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim,required',
            'default' => ''
        ],
    ],
    'state' => [
        'exclude' => false,
        'label' => 'LLL:EXT:t3campus_ytseries_v11/Resources/Private/Language/locallang_db.xlf:tx_t3campusytseriesv11_domain_model_pagecity.state',
        'config' => [
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim',
            'default' => ''
        ],
    ],
    'country' => [
        'exclude' => false,
        'label' => 'LLL:EXT:t3campus_ytseries_v11/Resources/Private/Language/locallang_db.xlf:tx_t3campusytseriesv11_domain_model_pagecity.country',
        'config' => [
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim,required',
            'default' => ''
        ],
    ],

];

// define type value, type value of pages is a int
$type = \Slavlee\T3campusYtseriesV11\Domain\Model\PageCity::recordType;

// Add new fields to pages definition
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages', $tmp_t3campus_ytseries_v11_columns);

// inherit and extend the show items from the parent class
$GLOBALS['TCA']['pages']['types'][$type]['showitem'] = $GLOBALS['TCA']['pages']['types']['1']['showitem'];

// add custom fields to page type
$GLOBALS['TCA']['pages']['types'][$type]['showitem'] .= ',--div--;LLL:EXT:t3campus_ytseries_v11/Resources/Private/Language/locallang_db.xlf:tx_t3campusytseriesv11_domain_model_pagecity,';
$GLOBALS['TCA']['pages']['types'][$type]['showitem'] .= 'city, postcode, state, country';

// Add new page type to pages
$GLOBALS['TCA']['pages']['columns'][$GLOBALS['TCA']['pages']['ctrl']['type']]['config']['items'][] = [
    'LLL:EXT:t3campus_ytseries_v11/Resources/Private/Language/locallang_db.xlf:tx_t3campusytseriesv11_domain_model_pagecity.city',
    $type
];
